Package ru.bitel.bgbilling.modules.inet.common.event

# Class TrafficTypeLinkModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<TrafficTypeLink>
ru.bitel.bgbilling.modules.inet.common.event.TrafficTypeLinkModifiedEvent

All Implemented Interfaces:
  `Serializable`

public class TrafficTypeLinkModifiedEvent extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<TrafficTypeLink>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

  `newItem, oldItem`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TrafficTypeLinkModifiedEvent()`
  ``
  `TrafficTypeLinkModifiedEvent(int moduleId, int userId, TrafficTypeLink oldValue, TrafficTypeLink newValue)`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

  `getNewItem, getOldItem`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TrafficTypeLinkModifiedEvent

    protected TrafficTypeLinkModifiedEvent()

  - ### TrafficTypeLinkModifiedEvent

    public TrafficTypeLinkModifiedEvent(int moduleId, int userId, TrafficTypeLink oldValue, TrafficTypeLink newValue)